#ifndef __I2C
#define __I2C

typedef long i2cControlBlock_t[2];

int i2cReadEEPROM(int addr, void* pBuffer, long byteCount);
int i2cWriteEEPROM(int addr, void* pBuffer, long byteCount);
int i2cCheckPresence(int addr);
int i2cWriteWait(int addr);
int i2cStart(i2cControlBlock_t* pCtrlBlk);      // after start, you should wait(10000) before calling
void i2cStop(void);                             // Stop the I2C I/O driver (standalone)

#endif

